package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <pre>
 *
 * 描述：业务--专辑审批表实体类定义
 * 表:KM_ALBUM_APPROVE
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:09
 * 版权：
 * </pre>
 */



@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_APPROVE")
public class AlbumApprove  extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumApprove() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;
    //专辑ID
    @TableField(value = "ALBUM_ID")
    private String albumId;
    //专辑版本ID
    @TableField(value = "VERSION_ID")
    private String versionId;
    //审批结论;0-不通过 1-通过
    @TableField(value = "RESULT")
    private Integer result;
    //REMARK
    @TableField(value = "REMARK")
    private String remark;
    //APPROVER_ID
    @TableField(value = "APPROVER_ID")
    private String approverId;
    //APPROVER_NAME
    @TableField(value = "APPROVER_NAME")
    private String approverName;
    //ACTUAL_APPROVER
    @TableField(value = "ACTUAL_APPROVER")
    private String actualApprover;
    //ACTUAL_APPROVER_NAME
    @TableField(value = "ACTUAL_APPROVER_NAME")
    private String actualApproverName;
    //APPROVAL_TIME
    @TableField(value = "APPROVAL_TIME")
    private java.util.Date approvalTime;
    //APPROVAL_BATCH
    @TableField(value = "APPROVAL_BATCH")
    private Integer approvalBatch;
    //SORT
    @TableField(value = "SORT")
    private Integer sort;
    //IS_FINAL
    @TableField(value = "IS_FINAL")
    private Integer isFinal;
    //IS_DEL
    //@TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;

    @TableField(value = "NAME")
    private String name;

    @TableField(exist = false)
    private AlbumVersion albumVersion;

    @TableField(exist = false)
    private AlbumInfo albumInfo;



    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



