package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <pre>
 *
 * 描述：业务--专辑点评表实体类定义
 * 表:KM_ALBUM_YELP
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:08
 * 版权：
 * </pre>
 */


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_YELP")
public class AlbumYelp  extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumYelp() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //专辑ID
    @TableField(value = "ALBUM_ID")
    private String albumId;
    //类型;记录类型：1-点评  2-回复
    @TableField(value = "TYPE")
    private Integer type;
    //评论内容
    @TableField(value = "CONTENT")
    private String content;
    //回复点评ID;对专辑的点评ID
    @TableField(value = "YELP_ID")
    private String yelpId;
    //评论状态;评论状态：0-审核中  1-审核通过  2-审核未通过
    @TableField(value = "STATE")
    private Integer state;
    //删除标记;删除状态：0-正常 1-删除
    @TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;

    @TableField(value = "APPROVAL_STATE")
    private Integer approvalState;



    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



