package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件名: AlbumApproveVo
 * 作者: Zizg
 * 时间: 2023/2/3
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("审批记录(待审核和审核通过回显)")
@Data
public class AlbumApproveVo implements Serializable {

    @ApiModelProperty("流程节点名称")
    private String name;

    @ApiModelProperty("实际审批人名称")
    private String actualApproverName;

    @ApiModelProperty("审批状态")
    private String approvalStatus;

    @ApiModelProperty("审批意见")
    private String comment;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    @ApiModelProperty("审批时间")
    private Date approvalTime;


}
